# Summon
execute as @s[tag=fkcf.type.block] at @s run function fkcf:summon/chair_block
execute as @s[tag=fkcf.type.slab] at @s run function fkcf:summon/chair_slab
execute as @s[tag=fkcf.type.type.stair.north] at @s run function fkcf:summon/chair_stair_north
execute as @s[tag=fkcf.type.stair.east] at @s run function fkcf:summon/chair_stair_east
execute as @s[tag=fkcf.type.stair.south] at @s run function fkcf:summon/chair_stair_south
execute as @s[tag=fkcf.type.stair.west] at @s run function fkcf:summon/chair_stair_west

# Orientation tag
execute as @s[tag=fkcf.oriented.south] at @s align xz positioned ~.5 ~-2 ~.5 run tag @e[tag=fkcf.fresh] add fkcf.oriented.south
execute as @s[tag=fkcf.oriented.southwest] at @s align xz positioned ~.5 ~-2 ~.5 run tag @e[tag=fkcf.fresh] add fkcf.oriented.southwest
execute as @s[tag=fkcf.oriented.west] at @s align xz positioned ~.5 ~-2 ~.5 run tag @e[tag=fkcf.fresh] add fkcf.oriented.west
execute as @s[tag=fkcf.oriented.northwest] at @s align xz positioned ~.5 ~-2 ~.5 run tag @e[tag=fkcf.fresh] add fkcf.oriented.northwest
execute as @s[tag=fkcf.oriented.north] at @s align xz positioned ~.5 ~-2 ~.5 run tag @e[tag=fkcf.fresh] add fkcf.oriented.north
execute as @s[tag=fkcf.oriented.northeast] at @s align xz positioned ~.5 ~-2 ~.5 run tag @e[tag=fkcf.fresh] add fkcf.oriented.northeast
execute as @s[tag=fkcf.oriented.east] at @s align xz positioned ~.5 ~-2 ~.5 run tag @e[tag=fkcf.fresh] add fkcf.oriented.east
execute as @s[tag=fkcf.oriented.southeast] at @s align xz positioned ~.5 ~-2 ~.5 run tag @e[tag=fkcf.fresh] add fkcf.oriented.southeast
schedule function fkcf:orientation/orientation 1t

# Reset
execute if entity @s[tag=fkcf.sit] run tag @e[tag=fkcf.fresh,limit=2,sort=nearest] add fkcf.sit
tag @e[tag=fkcf.fresh] remove fkcf.fresh

# count
execute unless entity @s[tag=fkcf.sit] unless entity @s[tag=fkcf.canceled] run scoreboard players add TotalChairs fkcf.options 1

# Log
tellraw @s[tag=!fkcf.canceled] ["",{"text":"[Chairify] ","bold":true,"color":"gold","hoverEvent":{"action":"show_text","value":[{"text":"Developed with love by "},{"text":"FunkyToc","color":"dark_purple","bold":true}]}},{"text":"Chair created successfully","color":"green"}]